# -*- coding:Utf-8 -*-
# hud_hp V1.02p (23/07/2008) by DoCky


import es, os, psyco, repeat as _re, usermsg as _um, playerlib as _pl

psyco.full()
hh_info = es.AddonInfo()
hh_info.version = "1.02p"
hh_info.author = "DoCky"
hh_info.name = "hud_hp"


_vers = es.ServerVar(hh_info.name, hh_info.version, "Created by DoCky -")
_vers.set(hh_info.version)
_vers.makepublic()

_tell = es.ServerVar("hh_tell")
_user = es.ServerVar("hh_user")
_info = {}


#    SYSTEM    #
def init():
    if not os.path.isfile(es.getAddonPath("hud_hp") + "/hud_hp.cfg"):
        es.log("[hud_hp] missing file : addons/eventscripts/hud_hp/hud_hp.cfg")

    else:
        es.log("[hud_hp] * loading *")
        es.server.cmd("es_xmexec ../addons/eventscripts/hud_hp/hud_hp.cfg")

        if not int(_user):
            es.log("[hud_hp] user : all players")

            _info["T"] = "#human,#alive"
            _info["N"] = ["2", "3"]

        elif int(_user) == 1:
            es.log("[hud_hp] user : counter-terrorist only")

            _info["T"] = "#human,#alive,#ct"
            _info["N"] = ["3"]

        elif int(_user) == 2:
            es.log("[hud_hp] user : terrorist only")

            _info["T"] = "#human,#alive,#t"
            _info["N"] = ["2"]

        if not _re.status("hh_tell"):
            _re.create("hh_tell", loop, _info["T"])

        if _re.status("hh_tell") == 1:
            _re.start("hh_tell", 5, 0)

        es.log("[hud_hp] * loaded *")


def loop(F, I):
    tell(_pl.getUseridList(F))


def tell(L):
    for user in L:
        _um.hudhint(user, str(_tell).replace("%1", str(_pl.getPlayer(I).get("health"))))


#    EVENT    #
def load():
    init()


def es_map_start(event_var):
    init()


def unload():
    _re.delete("hh_tell")
    es.log("[hud_hp] * unloaded *")


def round_end(event_var):
    _re.stop("hh_tell")


def round_start(event_var):
    _re.start("hh_tell", 5, 0)
    tell(_pl.getUseridList(_info["T"]))


def player_hurt(event_var):
    if not _pl.getPlayer(event_var["userid"]).attributes["isdead"] and event_var["es_userteam"] in _info["N"]:
        tell([event_var["userid"]])
